#ifndef _MSPDATA_H
#define _MSPDATA_H
#include <linux/videodev.h>
#include <linux/i2c.h>


#define I2C_MSP3400C       0x80
#define I2C_MSP3400C_DEM   0x10
#define I2C_MSP3400C_DFP   0x12


 

struct msp_val_name_struct
{
    unsigned int val;
    char *name;
} *msp_channel_source_modes;



struct msp_val_name_struct *msp_channel_matrix_modes;


struct msp_dem_address_struct
{
  int addr;
  char *name;
  char t;
} *msp_dem_addrs;



struct msp_dsp_address_struct
{
  int addr;
  char *name;
  char hl;
  char t;
  struct msp_val_name_struct *vn;
  unsigned short mask;
} *msp_dsp_addrs;




char *find_name_of_val(struct msp_val_name_struct*vn,int val,int mask);


void wph_msp3400c_interpret(int dev, int addr, int val, int rw);






#endif
