#ifndef _WPHPROC_RAW
#define _WPHPROC_RAW


typedef enum {WPH_WRITE=0x01, WPH_READ=0x02} COMMAND;
typedef enum {WPH_DSP=0x01, WPH_DEM=0x02} DEV;

typedef struct 
{
  int command;			/* read or write */
  int dev;
  int address;
  int value;
  int mask;
  int status;
}
datagram;

#define procname "mspraw"

















/*protocol:
1. writing data to the device:
  set command=WPH_WRITE ; fill in address value and mask
  write datagram to /proc/mspraw
  read datagram from /proc/mspraw
  value contains the value of the address, status an error code

2. reading data from the msp
  set command=WPH_READ; fill in address 
  write datagram;
  read datagram
  and use value (mask is ignored)


 */
static datagram last_datagram;


#endif
/*
 * Local variables:
 *  compile-command: "sudo make &&sudo make install && sudo depmod -a"
 * End:
 */
